## org.junit.experimental.results
Class PrintableResult

    java.lang.Object
      org.junit.experimental.results.PrintableResult

    public class PrintableResult

extends Object

A test result that prints nicely in error messages. This is only intended to be used in JUnit self-tests. For example:

        assertThat(testResult(HasExpectedException.class), isSuccessful());

Constructor Summary
`PrintableResult(List<Failure> failures)` A result that includes the given `failures`

Method Summary
`int` `failureCount()` Returns the number of failures in this result.
`List<Failure>` `failures()` Returns the failures in this result.
`static PrintableResult` `testResult(Class<?> type)` The result of running JUnit on `type`
`static PrintableResult` `testResult(Request request)` The result of running JUnit on Request `request`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrintableResult

    public PrintableResult(List<Failure> failures)

  A result that includes the given `failures`

Method Detail

### testResult

    public static PrintableResult testResult(Class<?> type)

  The result of running JUnit on `type`

### testResult

    public static PrintableResult testResult(Request request)

  The result of running JUnit on Request `request`

### failureCount

    public int failureCount()

  Returns the number of failures in this result.

### failures

    public List<Failure> failures()

  Returns the failures in this result.

  Since:
    4.13

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2002–2020 JUnit. All rights reserved.